Eclipse Platform Release 3.7

## org.eclipse.ui.presentations
Class PresentationUtil

    java.lang.Object
      org.eclipse.ui.presentations.PresentationUtil

    public class PresentationUtil

extends Object

Contains various utility methods for Presentation authors

Since:
  3.0

Constructor Summary
`PresentationUtil()`

Method Summary
`static void` `addDragListener(Control control, Listener externalDragListener)` Adds a drag listener to the given control.
`static void` `removeDragListener(Control control, Listener externalDragListener)` Removes a drag listener that was previously attached using addDragListener

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PresentationUtil

    public PresentationUtil()

Method Detail

### addDragListener

    public static void addDragListener(Control control,
                                       Listener externalDragListener)

  Adds a drag listener to the given control. The behavior is very similar to control.addListener(SWT.DragDetect, dragListener), however the listener attached by this method is less sensitive. The drag event is only fired once the user moves the cursor more than HYSTERESIS pixels.

  This is useful for registering a listener that will trigger an editor or view drag, since an overly sensitive drag listener can cause users to accidentally drag views when trying to select a tab.

  Currently, only one such drag listener can be registered at a time.

  Parameters:
    `control` - the control containing the drag listener
    `externalDragListener` - the drag listener to attach

### removeDragListener

    public static void removeDragListener(Control control,
                                          Listener externalDragListener)

  Removes a drag listener that was previously attached using addDragListener

  Parameters:
    `control` - the control containing the drag listener
    `externalDragListener` - the drag listener to remove

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.